com.jnape.palatable.lambda.functions.builtin.fn2

## Class Map<A,B>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn2.Map<A,B>

- Type Parameters:
    `A` - A type contravariant to the input Iterable element type
    `B` - A type covariant to the output Iterable element type
  All Implemented Interfaces:
    Fn1<Fn1<? super A,? extends B>,Fn1<Iterable<A>,Iterable<B>>>, Fn2<Fn1<? super A,? extends B>,Iterable<A>,Iterable<B>>, Applicative<Fn1<Iterable<A>,Iterable<B>>,Fn1<Fn1<? super A,? extends B>,?>>, Cartesian<Fn1<? super A,? extends B>,Fn1<Iterable<A>,Iterable<B>>,Fn1<?,?>>, Cocartesian<Fn1<? super A,? extends B>,Fn1<Iterable<A>,Iterable<B>>,Fn1<?,?>>, Contravariant<Fn1<? super A,? extends B>,Profunctor<?,Fn1<Iterable<A>,Iterable<B>>,Fn1<?,?>>>, Functor<Fn1<Iterable<A>,Iterable<B>>,Fn1<Fn1<? super A,? extends B>,?>>, Profunctor<Fn1<? super A,? extends B>,Fn1<Iterable<A>,Iterable<B>>,Fn1<?,?>>, Monad<Fn1<Iterable<A>,Iterable<B>>,Fn1<Fn1<? super A,? extends B>,?>>, MonadReader<Fn1<? super A,? extends B>,Fn1<Iterable<A>,Iterable<B>>,Fn1<Fn1<? super A,? extends B>,?>>, MonadRec<Fn1<Iterable<A>,Iterable<B>>,Fn1<Fn1<? super A,? extends B>,?>>, MonadWriter<Fn1<? super A,? extends B>,Fn1<Iterable<A>,Iterable<B>>,Fn1<Fn1<? super A,? extends B>,?>>

      public final class Map<A,B>
      extends Object
      implements Fn2<Fn1<? super A,? extends B>,Iterable<A>,Iterable<B>>

  Lazily apply a function to each element in an `Iterable`, producing an `Iterable` of the mapped results.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<B>` | `checkedApply(Fn1<? super A,? extends B> fn, Iterable<A> as)`
    `static <A,B> Map<A,B>` | `map()`
    `static <A,B> Fn1<Iterable<A>,Iterable<B>>` | `map(Fn1<? super A,? extends B> fn)`
    `static <A,B> Iterable<B>` | `map(Fn1<? super A,? extends B> fn, Iterable<A> as)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, flip, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public Iterable<B> checkedApply(Fn1<? super A,? extends B> fn,
                                          Iterable<A> as)

      Specified by:
        `checkedApply` in interface `Fn2<Fn1<? super A,? extends B>,Iterable<A>,Iterable<B>>`

    - #### map

          public static <A,B> Map<A,B> map()

    - #### map

          public static <A,B> Fn1<Iterable<A>,Iterable<B>> map(Fn1<? super A,? extends B> fn)

    - #### map

          public static <A,B> Iterable<B> map(Fn1<? super A,? extends B> fn,
                                              Iterable<A> as)